<template>
  <div>
    <div class="search-form" style="display:flex;justify-content: space-between;">
      <div>
      </div>
      <div>
        <el-button
          size="mini"
          type="primary"
          @click="handleAdd"
          style="margin-right: 10px;"
        >
          配置
        </el-button>
      </div>
    </div>
    <el-table
      v-loading="loading"
      v-adaptive="{bottomOffset:0}"
      height="100"
      style="width: 100%"
      :data="list"
      stripe
    >
      <el-table-column
        prop=""
        label="序号"
        width="50"
      >
        <template slot-scope="scope">
          {{scope.$index + 1}}
        </template>
      </el-table-column>
      <el-table-column
        prop="ValueCN"
        label="中文值"
        show-overflow-tooltip
      >
      </el-table-column>
      <el-table-column
        prop="Value"
        label="英文值"
        show-overflow-tooltip
      >
      </el-table-column>
      <el-table-column
        prop="Description"
        label="描述"
        show-overflow-tooltip
      >
      </el-table-column>
    </el-table>
    <el-dialog
      v-if="config.visible"
      :visible.sync="config.visible"
      :close-on-click-modal="false"
      :title="config.title"
      width="90%"
      append-to-body
    >
      <div>
        <div style="text-align: right;">
          <el-button
            size="mini"
            type="primary"
            @click="handleSave"
            v-loading="loading"
          >
            保存
          </el-button>
        </div>
        <el-table
          v-loading="loading"
          v-adaptive="{bottomOffset:100}"
          height="100"
          ref="multipleTable"
          :data="$d[parentCode]"
          stripe
          @selection-change="handleSelectionChange"
        >
          <el-table-column
            type="selection"
            width="55">
          </el-table-column>
          <el-table-column
            prop="raw.ValueCN"
            label="中文值"
            show-overflow-tooltip
          >
          </el-table-column>
          <el-table-column
            prop="raw.Value"
            label="英文值"
            show-overflow-tooltip
          >
          </el-table-column>
          <el-table-column
            prop="raw.Description"
            label="描述"
            show-overflow-tooltip
          >
          </el-table-column>
        </el-table>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { getAssessType, setCriterionDictionary, setDictionaryBaseLineUse, setDictionaryFollowVisitUse } from '@/api/dictionary'
export default {
  props: {
    criterionId: {
      type: String,
      required: true
    },
    parentCode: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      list: [],
      total: 0,
      loading: false,
      rowData: {},
      activeName: '0',
      addOrEdit: { visible: false, title: '' },
      preview: { visible: false, title: 'eCRF预览' },
      config: { visible: false, title: '标准字典值' },
      selectedList: []
    }
  },
  mounted() {
    this.getList()
    console.log(this.$d[this.parentCode])
  },
  methods: {
    toggleSelection(rows) {
      console.log(this.$refs.multipleTable)
      if (rows) {
        rows.forEach(row => {
          this.$refs.multipleTable.toggleRowSelection(row);
        });
      } else {
        this.$refs.multipleTable.clearSelection();
      }
    },
    handleSelectionChange(val) {
      this.selectedList = val
    },
    getList() {
      this.loading = true
      getAssessType({
        CriterionId: this.criterionId,
        ParentCode: this.parentCode
      }).then(res => {
        this.loading = false
        this.list = res.Result
      })
    },
    handleAdd() {
      this.config.visible = true
      this.$nextTick(() => {
        var a = this.$d[this.parentCode].filter(v => {
          return !!this.list.find(v1 => {
            return v1.DictionaryId === v.id
          })
        })
        this.toggleSelection(a)
      })
    },
    handleSave() {
      this.loading = true
      var params = {
        CriterionId: this.criterionId,
        ParentCode: this.parentCode,
        DictionaryIds: this.selectedList.map(v => v.id),
        isSystemCriterion: true
      }
      setCriterionDictionary(params).then(res => {
        this.loading = false
        this.$message.success('保存成功')
        this.config.visible = false
        this.selectedList = []
        this.getList()
        this.$emit('getList')
      }).catch(() => {
      })
    },
    handleDelete() {

    }
  }
}
</script>

<style scoped>
>>>.el-form-item__content{
  width: calc(100% - 110px);
}
</style>
